<section class="album__container">
  <ng-container *ngIf="albumCardInfo && albumCardInfo.length > 0; else albumsEmpty">

    <h1>{{albumTitle}}</h1>
    <p class="album__subtitle">{{albumSubtitle}}</p>

    <article class="album__card-content">
      <div class="album__card" *ngFor="let album of albumCardInfo">
        <span class="album__label">Álbum</span>

        <h5 class="album__name">
          {{album.name}}
        </h5>

        <app-card-figure [album]="album" (onAdd)="toggleFav.emit(album.id)">
        </app-card-figure>
      </div>
    </article>

  </ng-container>

  <ng-template #albumsEmpty>
    <article>
      <h3>
        No se encontraron álbumes
      </h3>
    </article>
  </ng-template>
</section>
